use std::collections::HashMap;

struct Terminal {
    is: SupportedTerminals,
}
struct Prompt {
    is: SupportedPrompts,
}
struct Fetcher {
    is: SupportedFetchers,
}
struct Panel {
    is: SupportedPanels,
}
struct WallpaperManager {
    is: SupportedWallpaperManagers,
}
struct Windows {
    is: SupportedWindowManagers,
}
struct IDE {
    is: SupportedIDEs,
}
struct Distribution {
    is: SupportedDistributions,
}
struct Compositor {
    is: SupportedCompositors,
}
struct Browser {
    is: SupportedBrowsers,
}
struct VideoPlayer {
    is: SupportedVideoPlayers,
}
struct AudioPlayer {
    is: SupportedAudioPlayers,
}
struct ImageViewer {
    is: SupportedImageViewers,
}
struct PDFViewer {
    is: SupportedPDFViewers,
}
struct Pager {
    is: SupportedPagers,
}
struct NotificationManagers {
    is: SupportedNotificationManagers,
}
struct Multiplexer {
    is: SupportedMultiplexers,
}
struct FileManagers {
    is: SupportedFilesManagers,
}
struct Launcher {
    is: SupportedLaunchers,
}
struct IRCClients {
    is: SupportedIRCClients,
}
struct Mail {
    is: SupportedMailClients,
}
struct ClipboardManagers {
    is: SupportedClipboardManagers,
}
struct Calendars {
    is: SupportedCalendars
}

type Xcompose = HashMap<&str, &str>;

enum SupportedTerminals {
    kitty,
    alacritty,
}
enum SupportedPrompts {
    starship
}
enum SupportedShells { bash, zsh, fish }
enum SupportedFetchers { neofetch, ufetch, screenfetch }
enum SupportedPanels { polybar, i3status }
enum SupportedWallpaperManagers { feh }
enum SupportedWindowManagers { i3, awesome }
enum SupportedIDEs { vscode, sublime, atom, neovim, vim, emacs }
enum SupportedDistributions { manjaro, arch, fedora, ubuntu, gentoo, void, mint }
enum SupportedCompositors { picom }
enum SupportedBrowsers { firefox, ungoogled_chromium, chromium, waterfox }
enum SupportedVideoPlayers { vlc, mpv }
enum SupportedAudioPlayers { vlc, mpv, ncmpcpp }
enum SupportedImageViewers {  }
enum SupportedPDFViewers { zathura }
enum SupportedPagers { less, more, most }
enum SupportedNotificationManagers { dunst }
enum SupportedMultiplexers { termux }
enum SupportedFilesManagers { thunar, pcmanfm, nautilus, nnn,  }
enum SupportedLaunchers { rofi }
enum SupportedIRCClients {  }
enum SupportedMailClients {  }
enum SupportedClipboardManagers {  }
enum SupportedCalendars { calcurse }